Mailrelay API Reference

Update a subscriber

PATCH /subscribers/{id}

Update a subscriber

Parameters

NameTypeDescription
id integer ID of the record
sms_phone string SMS phone
whatsapp_phone string WhatsApp phone
name string Name
address string Address
city string City
state string State
country string Country of the subscriber. The value should be in ISO 3166-1 alpha-2 format
birthday string Birthday
website string Website
locale string Locale
time_zone string Time zone
group_ids array An array of group IDs that this subscriber should be assigned to. Example: [1, 4, 5]

Responses

StatusDescription
200 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
500 An internal error happened. Try again later.